-- SlashCommands --

-- /fb lock command
local function SlashCommand_LockAction(Params)
	local ButtonTable = FlexBar2:ToButtonTable(Params.button);
	FlexBar2:ApplySetting(ButtonTable, "LockAction", true);
	local ButtonList = FlexBar2.Buttons;
	for _, ButtonName in ipairs(ButtonTable) do
		ButtonList[ButtonName]:LockAction();
	end
end

-- /fb unlock command
local function SlashCommand_UnlockAction(Params)
	local ButtonTable = FlexBar2:ToButtonTable(Params.button);
	FlexBar2:ApplySetting(ButtonTable, "LockAction", false);
	local ButtonList = FlexBar2.Buttons;
	for _, ButtonName in ipairs(ButtonTable) do
		ButtonList[ButtonName]:UnlockAction();
	end
end

local SlashCommands = FlexBar2.SlashCommands;
-- Localize this neat verify function for faster access
local VerifyExistance = FlexBar2.SlashCommands.VerifyExistance;
-- AddCommand format :AddCommand(Command, Function, Group, Help)
-- AddParam format :AddParam(Command, Param, Required, AllowedValues, DefaultValue, VerifyFunc) 
-- everything here should be self explainative knowing the syntax
SlashCommands:AddCommand("lockaction", SlashCommand_LockAction, "action", "button=<Button>");
SlashCommands:SetAlias("lockaction", "actionlock");
	SlashCommands:AddParam("lockaction", "button", true, nil, nil, VerifyExistance);
SlashCommands:AddCommand("unlockaction", SlashCommand_UnlockAction, "action", "button=<Button>");
SlashCommands:SetAlias("unlockaction", "actionunlock");
	SlashCommands:AddParam("unlockaction", "button", true, nil, nil, VerifyExistance);
